%define debug_package %{nil}

Summary:	LADI Audio Session Handler
Name:		ladish
Version:		1
Release:	%mkrel 1
License:		GPLv2+
Group:		Sound
Url:			http://ladish.org
Source0:	http://ladish.org/download/%name-%version-with-deps.tar.xz
Patch0:		ladish-1-glibc-2.17.patch
#-----------------------------------------------------------
BuildRequires: intltool
BuildRequires: python-yaml
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}art_lgpl-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}boost-devel 
BuildRequires: %{_lib}cairo-devel 
BuildRequires: %{_lib}cairomm1.0-devel 
BuildRequires: %{_lib}dbus-1-devel 
BuildRequires: %{_lib}dbus-glib-1_2-devel 
BuildRequires: %{_lib}expat1-devel 
BuildRequires: %{_lib}flowcanvas-devel
BuildRequires: %{_lib}fontconfig-devel 
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}glibmm2.4-devel 
BuildRequires: %{_lib}gnomecanvas2_0-devel 
BuildRequires: %{_lib}gnomecanvasmm2.6-devel 
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}uuid-devel
#-----------------------------------------------------------
Requires:	jackit
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-dbus
Requires:	python
Requires:	python-vte
Requires:	python-yaml

%description
Session management system for JACK applications on GNU/Linux. Its aim
is to have many different audio programs running at once, to save their
setup, close them down and then easily reload the setup at some other
time. ladish doesn't deal with any kind of audio or MIDI data itself;
it just runs programs, deals with saving/loading (arbitrary) data and
connects JACK ports together.
Ladish has a GUI frontend called gladish, based on lpatchage (LADI Patchage)
and the ladish_control command line app for headless operation.

%files
%doc %{_datadir}/%{name}/README
%doc %{_datadir}/%{name}/AUTHORS
%doc %{_datadir}/%{name}/COPYING
%doc %{_datadir}/%{name}/NEWS
%doc %{_docdir}/laditools/*

%{_bindir}/gladish
%{_bindir}/ladishd
%{_bindir}/jmcore
%{_bindir}/ladiconfd
%{_bindir}/ladish_control
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/gladish.ui
%{_datadir}/%{name}/*.png
%{_datadir}/dbus-1/services/org.ladish.service
%{_datadir}/dbus-1/services/org.ladish.conf.service
%{_datadir}/dbus-1/services/org.ladish.jmcore.service
%{_iconsdir}/hicolor/*/apps/gladish.png
%{_datadir}/locale/*/LC_MESSAGES/ladish.mo

%{_bindir}/g15ladi
%{_bindir}/ladiconf
%{_bindir}/ladilog
%{_bindir}/laditray
%{_bindir}/wmladi
%{python_sitelib}/laditools
%{python_sitelib}/laditools-1.0_rc2-py%{python_version}.egg-info
%{_datadir}/applications/*
%{_datadir}/laditools/*
%{_datadir}/pixmaps/*.svg

%{_prefix}/lib/libalsapid.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
./waf configure --prefix=%{_prefix}
./waf

%install
./waf install --destdir=%{buildroot}
cd laditools
python setup.py install --prefix=%{buildroot}%{_prefix}

#Fix desktop file category syntax
perl -pi -e 's/AudioVideo/AudioVideo;/g' %{buildroot}%{_datadir}/applications/laditray.desktop
perl -pi -e 's/Settings/Settings;/g' %{buildroot}%{_datadir}/applications/ladiconf.desktop


%changelog
* Sat May 30 2015 gseaman <galen.seaman at comcast.net> 1-1gseaman2015
- import into pclos
